One step closer to Loomio 1.0

For the last few months, we’ve been progressively bringing more and more people over from Loomio Beta onto the new Loomio user interface. As of tomorrow, all new user accounts will start on the new interface.

What does this mean for me?

  • If you haven’t done so already, we recommend you check out the new Loomio.
  • From now on, people you invite to your group will start on the new interface.
  • If you want to start a new group, you’ll need to switch to the new interface.
  • Loomio Beta will still be available: if you prefer, you can keep using the old interface.

Support for Internet Explorer

The new Loomio works on IE10+. The old Loomio works on IE9+.

If you can, we recommend you upgrade your browser. If you’re stuck on IE9, you can continue to use Loomio Beta.

Is this the big Loomio 1.0 release we’ve been waiting for?

Not quite! This is a big step in our progress towards Loomio 1.0, but we’re not quite there yet.

The software is getting close, but we still have significant work to do on our marketing and support material before we’re ready to celebrate the “1.0” milestone.

In the meantime, we’d rather not have a huge amount of publicity. We’ll make a big song and dance when we’re ready :)

♥ from Rich and the whole Loomio team

Author: Richard D. Bartlett

Loomio co-founder; open source hardware and software hacker; activist;

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s